Loading...
Searching...
No Matches
l4vbus_device_t Struct Reference

Detailed information about a vbus device. More...

`#include <vbus_types.h>`

Collaboration diagram for l4vbus_device_t:

## Data Fields

l4_uint32_t | type
| Bitfield of supported sub-interfaces, see l4vbus_iface_type_t.
char | name [L4VBUS_DEV_NAME_LEN]
| Name.
unsigned | num_resources
| Number of resources for this device.
unsigned | flags
| Flags, see l4vbus_device_flags_t.

## Detailed Description

Detailed information about a vbus device.

Definition at line 80 of file vbus_types.h.

The documentation for this struct was generated from the following file:

- l4/vbus/vbus_types.h